# Uses of Class
java.net.URISyntaxException

Packages that use URISyntaxException
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of URISyntaxException in java.net

Methods in java.net that throw URISyntaxException
Modifier and Type
Method
Description
`URI`
URI.`parseServerAuthority()`
Attempts to parse this URI's authority component, if defined, into user-information, host, and port components.
`URI`
URL.`toURI()`
Returns a `URI` equivalent to this URL.
Constructors in java.net that throw URISyntaxException
Modifier
Constructor
Description
``
`URI(String str)`
Constructs a URI by parsing the given string.
``
`URI(String scheme, String ssp, String fragment)`
Constructs a URI from the given components.
``
`URI(String scheme, String userInfo, String host, int port, String path, String query, String fragment)`
Constructs a hierarchical URI from the given components.
``
`URI(String scheme, String host, String path, String fragment)`
Constructs a hierarchical URI from the given components.
``
`URI(String scheme, String authority, String path, String query, String fragment)`
Constructs a hierarchical URI from the given components.